使用VBA在CAD中删除选中对象中的文字和标注

代码如下
 
Sub deleteTextAndDimension()
    
    Dim oSS As Object
    On Error Resume Next
    If Not IsNull(ThisDrawing.SelectionSets.Item("Wolf")) Then
        Set oSS = ThisDrawing.SelectionSets.Item("wolf")
        oSS.Delete
    End If
    Set oSS = ThisDrawing.SelectionSets.Add("wolf")

    On Error GoTo catchError
    Dim fType() As Integer
    Dim fData As Variant
      strFilterType = "-4,0,0,-4"
    strFilterData = "<or,text,dimension,or>"
    Call createFilter(fType, fData, strFilterType, strFilterData)

    oSS.SelectOnScreen fType, fData
    oSS.Highlight ture
    oSS.Erase
    oSS.Delete

exitSub:
    Exit Sub
catchError:
    ' add error handling
    If Err Then
        Err.Clear
        MsgBox Err.Description
    End If
    
End Sub

Sub createFilter(fType, fData, strFilterType, strFilterData)
    '// add declarations
    On Error GoTo catchError
    arrFilterType = Split(strFilterType, ",")
    arrFilterData = Split(strFilterData, ",")
    If UBound(arrFilterType) = UBound(arrFilterData) Then
        intFilterCount = UBound(arrFilterType)
        ReDim fType(intFilterCount)
        ReDim fData(intFilterCount)
        For i = 0 To UBound(arrFilterType)
            fType(i) = arrFilterType(i)
            fData(i) = arrFilterData(i)
        Next i
    Else
        GoTo exitFunction
    End If

exitFunction:
    Exit Sub
catchError:
    '// add error handling
    GoTo exitFunction
End Sub

posted on   风中狂笑  阅读(1096)  评论(0编辑  收藏  举报

编辑推荐:
· AI与.NET技术实操系列:基于图像分类模型对图像进行分类
· go语言实现终端里的倒计时
· 如何编写易于单元测试的代码
· 10年+ .NET Coder 心语,封装的思维:从隐藏、稳定开始理解其本质意义
· .NET Core 中如何实现缓存的预热?
阅读排行:
· 分享一个免费、快速、无限量使用的满血 DeepSeek R1 模型,支持深度思考和联网搜索!
· 基于 Docker 搭建 FRP 内网穿透开源项目(很简单哒)
· ollama系列01:轻松3步本地部署deepseek,普通电脑可用
· 25岁的心里话
· 按钮权限的设计及实现

导航

< 2025年3月 >
23 24 25 26 27 28 1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31 1 2 3 4 5
点击右上角即可分享
微信分享提示